Subject: bug#43369: Emacs fails to configure on ARM Macs

From: Itai Seggev <[email-masked]>
Date: Sun, 13 Sep 2020 18:29:37 -0500

On Sun, Sep 13, 2020 at 05:07:43PM +0100, Alan Third wrote:
> On Sun, Sep 13, 2020 at 03:41:16PM +0200, Lars Ingebrigtsen wrote:
> > 
> > The arm-* bit was added recently to Emacs, from a two-year-old patch:
> > 
> > commit 4cba236749aafade7bd88cf2a10be48f44983faa
> > Author:     Roland Kaufmann <[email-masked]>
> > AuthorDate: Thu Dec 27 15:51:49 2018 +0100
> > Commit:     Alan Third <[email-masked]>
> > CommitDate: Sat Aug 15 17:06:31 2020 +0100
> > 
> >     Allow build configuration on Apple ARM devices (bug#41994)
> >     
> > So it sounds like arm-* was in use, and it's now aarch64-*?  In which
> > case adding the latter, instead of altering it, is the right change here?
> 
> I'm unsure. I've googled a bit and found stuff saying that Apple used
> to use arm64, but now everyone uses aarch64. I don't know if the
> original patch had ever actually been tested on an ARM Mac.
> 
> If Roland Kaufmann doesn't respond with a better plan, I suppose we'd
> be safest just adding it as you suggest.

FWIW, uname -m and clang --version both report arm64 (not arm), but it seems
that config.sub normalizes this to aarach64.  See commit 5d89a9c2846d32b47.

--
Itai

In 1997 a group of programmers started writing a desktop environment to fix a
travesty they didn't create.  Their program promptly found its way onto un*x
systems everywhere. Today, still opposed by a software monopolist, they survive
as soldiers of fortune.  If you share their vision, if you know you can help,
and if you can connect to internet, maybe you can join... the K-Team.